import { RuntimeEnumerationOption, SubmitValue } from '@oinone/kunlun-engine';
import { EnumerationValue } from '@oinone/kunlun-shared';
import { FormEnumFieldWidget } from '../enum';
export declare class FormBooleanSelectFieldWidget extends FormEnumFieldWidget<EnumerationValue | EnumerationValue[]> {
    get value(): string | null | undefined;
    protected getAvailableOptions(): RuntimeEnumerationOption[];
    protected getMetaOptionNames(): string[];
    change(val: EnumerationValue | EnumerationValue[] | null | undefined): void;
    submit(submitValue: SubmitValue): import("@oinone/kunlun-shared").ReturnPromise<Record<string, unknown> | undefined, Record<string, unknown> | undefined>;
}
/**
 * @deprecated please using FormBooleanSelectFieldWidget
 */
export declare const FormEnumBoolFieldSelectWidget: typeof FormBooleanSelectFieldWidget;
